version: '2'

services:
  app:
    image: 'registry.gitlab.com/a.serokhvostov/recipeservice/back:latest'
    build:
      context: .
    container_name: app
    ports:
      - 8080:8080
    depends_on:
      - db
    environment:
      - SPRING_DATASOURCE_URL=jdbc:postgresql://db:5432/recipeservice
      - SPRING_DATASOURCE_USERNAME=postgres
      - SPRING_DATASOURCE_PASSWORD=9389
      - SPRING_JPA_HIBERNATE_DDL_AUTO=update

  front:
    image: 'registry.gitlab.com/a.serokhvostov/recipeservice/front:latest'
    build:
      context: ./recipebook-frontend
    container_name: front
    ports:
      - 3001:3000
    depends_on:
      - app

  db:
    image: 'postgres:13.1-alpine'
    container_name: db
    environment:
      - POSTGRES_USER=postgres
      - POSTGRES_PASSWORD=9389
      - POSTGRES_DB=recipeservice